Global constants

Constants used by all TinyCBOR function groups. More...

## Typedefs

typedef uint64_t | CborTag
| This typedef is an unsigned 64-bit integer.

## Functions

const char * | cbor_error_string (CborError error)
| Returns the error string corresponding to the CBOR error condition error.

## Variables

static const size_t | CborIndefiniteLength = ((size_t)-1)
| This variable is a constant used to indicate that the length of the map or array is not yet determined.

## Detailed Description

Constants used by all TinyCBOR function groups.

## Typedef Documentation

## CborTag

typedef uint64_t CborTag

This typedef is an unsigned 64-bit integer.

Known CBOR tags can be used from the CborKnownTags enum but the user application may use other tag values than the ones specified in RFC 7049.

## Variable Documentation

## CborIndefiniteLength

const size_t CborIndefiniteLength = ((size_t)-1)

static

This variable is a constant used to indicate that the length of the map or array is not yet determined.

It is used in functions cbor_encoder_create_map() and cbor_encoder_create_array()

Referenced by cbor_encoder_create_map().